/**
 * @file
 * JS for menu quicklinks.
 */
(function (Drupal, $, drupalSettings, once) {

  Drupal.behaviors.MainLanguageSwitcher = {
    attach: function(context, settings) {
      const $elements = $(once('MainLanguageSwitcher', '.block-language .links', context));
      $elements.each(function() {
        const $block = $(this);
        const langPrefix = drupalSettings.path.currentLanguage;
        const currentLanguage = $block.find($('.' + langPrefix + ' .language-link')).text();
        $block.closest('.block-language').append("<button class='button-language'>" + currentLanguage + "</button>");

        $(document, context).on('click', function(e) {
          if ($(e.target).hasClass('button-language')) {
            $(e.target).closest('.block-language').addClass('show');
          }
          if (!$(e.target).hasClass('button-language')) {
            $('.block-language').removeClass('show');
          }
        });
      });
    }
  };

})(Drupal, jQuery, drupalSettings, once);
